Summary:  Tools for updates and queries runlevel information of system services
Name:     chkconfig
Version:  1.25
Release:  2%{?dist}
License:  GPLv2
URL:      https://github.com/fedora-sysv/chkconfig
Source0:  %{url}/archive/%{version}.tar.gz

BuildRequires:  gcc, make
BuildRequires: newt-devel, gettext, popt-devel, libselinux-devel, beakerlib, systemd-devel
Provides: /sbin/chkconfig

%description
Chkconfig provides a simple command-line tool for maintaining the
/etc/rc[0-6].d directory hierarchy by relieving system administrators
of the task of directly manipulating the numerous symbolic links in
those directories.

%package -n ntsysv
Summary: simple interface for configuring runlevels
Requires: chkconfig = %{version}-%{release}

%description -n ntsysv
The ntsysv utility is a command-line application with a simple text user
interface to configure which services are to be started in selected runlevels.
To start the utility, type ntsysv at a shell prompt as root.

%package -n alternatives
Summary: maintain symbolic links determining default commands

%description -n alternatives
Alternatives creates, removes, maintains and displays information about the
symbolic links comprising the alternatives system. The alternatives system is
a reimplementation of the Debian alternatives system.



%prep
%autosetup



%build
%make_build



%install
%make_install MANDIR=%{_mandir}

mkdir -p %{buildroot}/etc/rc.d/init.d
# Actually, /etc/init.d/ -> /etc/rc.d/init.d/
ln -s rc.d/init.d %{buildroot}/etc/init.d
for NUM in {0..6}; do
    # Actually, /etc/rc${NUM}.d/ -> /etc/rc.d/rc${NUM}.d/
    mkdir -p %{buildroot}/etc/rc.d/rc${NUM}.d
    ln -s rc.d/rc${NUM}.d %{buildroot}/etc/rc${NUM}.d
done

mkdir -p %{buildroot}/etc/chkconfig.d



%check
make check



%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%{_sbindir}/chkconfig
%{_sysconfdir}/chkconfig.d
%{_sysconfdir}/init.d
%{_sysconfdir}/rc.d
%{_sysconfdir}/rc.d/init.d
%{_sysconfdir}/rc[0-6].d
%{_sysconfdir}/rc.d/rc[0-6].d
%{_mandir}/*/chkconfig*
%{_prefix}/lib/systemd/systemd-sysv-install

%files -n ntsysv
%defattr(-,root,root)
%{_sbindir}/ntsysv
%{_mandir}/*/ntsysv.8*

%files -n alternatives
%license COPYING
%dir /etc/alternatives
%{_sbindir}/update-alternatives
%{_sbindir}/alternatives
%{_mandir}/*/update-alternatives*
%{_mandir}/*/alternatives*
%dir /var/lib/alternatives

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 wynnfeng <wynnfeng@tencent.com> - 1.25-1
- upgrade to 1.25

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 1.24-1
- Upgrade to 1.24

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20-2
- Rebuilt for OpenCloudOS Stream 23

* Wed May 18 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.20-1
- Initial.
